
From: Brice Goglin <Brice.Goglin@ens-lyon.org>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/smp.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN include/linux/smp.h~nmi-lockup-and-altsysrq-p-dumping-calltraces-on-_all_-cpus-warning-fix include/linux/smp.h
--- devel/include/linux/smp.h~nmi-lockup-and-altsysrq-p-dumping-calltraces-on-_all_-cpus-warning-fix	2005-08-21 21:46:30.000000000 -0700
+++ devel-akpm/include/linux/smp.h	2005-08-21 21:46:30.000000000 -0700
@@ -100,12 +100,16 @@ void smp_prepare_boot_cpu(void);
 #define raw_smp_processor_id()			0
 #define hard_smp_processor_id()			0
 #define smp_call_function(func,info,retry,wait)	({ 0; })
-#define smp_nmi_call_function(func, info, wait)	({ 0; })
 #define on_each_cpu(func,info,retry,wait)	({ func(info); 0; })
 static inline void smp_send_reschedule(int cpu) { }
 #define num_booting_cpus()			1
 #define smp_prepare_boot_cpu()			do {} while (0)
 
+static inline int smp_nmi_call_function (smp_nmi_function func,
+					 void *info, int wait) {
+	return 0;
+}
+
 #endif /* !SMP */
 
 /*
_
